pipeline {
    agent any
        stages {
            stage('package'){
                steps{
                        bat '''
                             mvn clean package
                             mvn clean install
                             mvn -B verify
                            '''
                }
            }
        }
        
        post { 
            success { 
                emailext attachmentsPattern: '**/results.html',
                body: '${SCRIPT, template="groovy-html.template"}',
                mimeType: 'text/html',
                subject: 'Success Pipeline: ${currentBuild.fullDisplayName}',
                to: 'sk.md.sharif1998@gmail.com'
            }
        }
    }
